Open CASCADE Technology: StdPrs_HLRPolyShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
StdPrs_HLRPolyShape Class Reference

Instantiates Prs3d_PolyHLRShape to define a display of a shape where hidden and visible lines are identified with respect to a given projection. StdPrs_HLRPolyShape works with a polyhedral simplification of the shape whereas StdPrs_HLRShape takes the shape itself into account. When you use StdPrs_HLRShape, you obtain an exact result, whereas, when you use StdPrs_HLRPolyShape, you reduce computation time but obtain polygonal segments. The polygonal algorithm is used. More...

`#include <StdPrs_HLRPolyShape.hxx>`

Inheritance diagram for StdPrs_HLRPolyShape:
[legend]

## Static Public Member Functions
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const TopoDS_Shape &aShape, const Handle< Prs3d_Drawer > &aDrawer, const Handle< Prs3d_Projector > &aProjector)
| Defines the hidden line removal display of the topology aShape in the projection defined by aProjector. The shape and the projection are added to the display aPresentation, and the attributes of the elements present in the aPresentation are defined by the attribute manager aDrawer. More...
Static Public Member Functions inherited from Prs3d_Root
static Handle< Graphic3d_Group > | CurrentGroup (const Handle< Prs3d_Presentation > &Prs3d)
| Returns the current group of primititves inside graphic objects in the display. A group also contains the attributes whose ranges are limited to the primitives in it. More...
static Handle< Graphic3d_Group > | NewGroup (const Handle< Prs3d_Presentation > &Prs3d)
| Returns the new group of primitives inside graphic objects in the display. A group also contains the attributes whose ranges are limited to the primitives in it. More...

## Detailed Description

Instantiates Prs3d_PolyHLRShape to define a display of a shape where hidden and visible lines are identified with respect to a given projection. StdPrs_HLRPolyShape works with a polyhedral simplification of the shape whereas StdPrs_HLRShape takes the shape itself into account. When you use StdPrs_HLRShape, you obtain an exact result, whereas, when you use StdPrs_HLRPolyShape, you reduce computation time but obtain polygonal segments. The polygonal algorithm is used.

## Member Function Documentation

static void StdPrs_HLRPolyShape::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const TopoDS_Shape & | aShape,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Handle< Prs3d_Projector > & | aProjector
| ) |  |
| static

Defines the hidden line removal display of the topology aShape in the projection defined by aProjector. The shape and the projection are added to the display aPresentation, and the attributes of the elements present in the aPresentation are defined by the attribute manager aDrawer.

The documentation for this class was generated from the following file:

- StdPrs_HLRPolyShape.hxx